does the unit operate with OS X EL CAPITAN?

Back To Product

Follow this Question

1 Answer from the Community

  • I was told by HP support that it only works with 10.7 - 10.10. El Capitan is 10.11.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions